Subject: bug#67269: 30.0.50; italic face fallback does not assume italic properties

From: Po Lu <[email-masked]>
Date: Sun, 19 Nov 2023 15:05:24 +0800

Eli Zaretskii <[email-masked]> writes:

> Basically, choosing a default font that doesn't have the italic
> variant is simply a bad idea, so what you describe is a cockpit error,
> not an Emacs bug.

OK, but half the fixed pitch fonts on the face of this earth have no
Italic variant.  Noto Sans Mono, for example, is the default fixed pitch
font on countless free systems, and there is no Italic variant of it.

So we have to take some action to resolve this problem.  What about
modifying eww and such to use a different face from italic that always
sets the :slant property?